org.apache.lucene.queryparser.flexible.standard.config

## Class FuzzyConfig

- java.lang.Object
- - org.apache.lucene.queryparser.flexible.standard.config.FuzzyConfig

    public class FuzzyConfig
    extends Object

Configuration parameters for `FuzzyQuery`s

### Constructor Summary

Constructors
Constructor and Description
`FuzzyConfig()`

### Method Summary

All Methods Instance Methods Concrete Methods
`float` `getMinSimilarity()`
`int` `getPrefixLength()`
`void` `setMinSimilarity(float minSimilarity)`
`void` `setPrefixLength(int prefixLength)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### FuzzyConfig

    public FuzzyConfig()

### Method Detail

#### getPrefixLength

    public int getPrefixLength()

#### setPrefixLength

    public void setPrefixLength(int prefixLength)

#### getMinSimilarity

    public float getMinSimilarity()

#### setMinSimilarity

    public void setMinSimilarity(float minSimilarity)